/*
Castomizer Stylesheet
*/

/* 
   << БЛОК ПЕРЕМЕННЫХ 
*/

/* Шрифты - НАСТРАИВАЮТСЯ ОЧЕНЬ ПРОСТО ЧЕРЕЗ theme.JSON (стр.~326 объект - "typography") + Редактор для размеров заголовков и основного текста глобально.
Причем functions.php использовать не нужно */
/*

/* 3) Тени*/
body {
    --owner--box--shadow--small: 2px 2px 5px rgba(0, 0, 0, 0.15),
        -2px -2px 5px rgba(0, 0, 0, 0.13);
    --owner--box--shadow--normal: 5px 5px 20px rgba(0, 0, 0, 0.15),
        -5px -5px 20px rgba(0, 0, 0, 0.13);
}
/* >> КОНЕЦ БЛОКА ПЕРЕМЕННЫХ*/

/*
    ГЛОБАЛЬНЫЕ ЭЛЕМЕНТЫ  + модификаторы + псевдоклассы/элементы (форматы текста, заголовков, ссылки, списки, кнопки и т.д.)
    ИСПРАВЛЕНИЕ БАГОВ WP
*/

/* 1) достилизация блоков*/
/* 1.1) для некоторых блока колонок (flex) задаем доп.стили justification*/
body .is-layout-flex.owner-content-justification-center {
    justify-content: center;
}
body .is-layout-flex.owner-content-justification-space-between {
    justify-content: space-between;
}
body .is-layout-flex.owner-content-justification-space-around {
    justify-content: space-around;
}
/* 1.2) для блоков с изображениями добавляем класс прижимания img кверху*/
.wp-block-image.owner-vertical-align-top img {
    vertical-align: top;
}
/* 1.3) для некоторых внутренних блоков (например, wp-block-group) добавляем возможность растягиваться на всю ширину родительского блока*/
.owner-block-is-layout-full-size {
    width: 100%;
}
/* 1.4) убираем глюк у колонок в блоках с колонками (иначе появялются нижние отступы)*/
.wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
    flex-basis: auto;
}

/* 2) Ссылки */
/* 2.1) Уубираем линию обводки при фокусировании на линк*/
a:focus {
    outline: none;
}
/* 2.2) содержимое ссылок делаем - так чтобы в дальнейшем работало свойство width без переноса для гармоничной отрисовки */
a {
    display: inline-block;
}
:where(header.wp-block-template-part, footer.wp-block-template-part) a {
    width: max-content;
}

/* 3) тени*/
/* 3.1) небольшая тень*/
/* 3.2) нормальная тень*/
.owner-box-shadow-normal {
    box-shadow: var(--owner--box--shadow--normal);
}
/* 3.3) большая тень*/

/* 4) вводим новый класс для изменения позиционирование некоторых wp-block-group в шаблонах Домашняя страница, Страницы и др., чтобы устранить невозможность изменить z-index для корректной отрисовки меню и сразу устанавливаем z-index */
.wp-block-group.owner-lowered-z-index {
    position: relative;
    z-index: 0;
}

/* 5) Исправление багов WP */
/* 5.1) Глюки блока поиск. 
/* 5.1.1) Устраняем зассогласование радиусов блока form и оболочки в которой input и предустановленный бордер у оболочки кнопки и всего блока.
Настройка блока Поиска делаем глобально, тогда в шаблонах не нужно настраивать.Убираем отступ margin-block-start установленный для потомков is-layout-flow по всему сайту. До этого проекта проблем не было :)) */
.owner-header-form-search .wp-block-search__inside-wrapper {
    border-radius: inherit !important;
    border: none !important;
    margin-block-start: 0;
}
/* 5.1.2) Убираем отступ margin-block-start установленный для потомков is-layout-flow по всему сайту. До этого проекта проблем не было :)) */
.owner-header-form-search .wp-block-search__label {
    display: none;
}

/* 6) Стили для динамического изменения элементов при фокусировке, наведении и т.д.*/
.owner-style-scale:where(:hover, :focus) {
    transform: scale(1.05);
}

/* 7) Вывод постов */
ul.wp-block-post-template
    > li.wp-block-post
    > .wp-block-post-featured-image
    img.wp-post-image {
    box-shadow: var(--owner--box--shadow--normal);
}

/* пагинация*/
.wp-block-query-pagination-numbers
    .page-numbers:not(.wp-element-button, .page-numbers.dots) {
    box-shadow: 0 0 15px #0000002b;
}
.wp-block-query-pagination-numbers .page-numbers.current {
    border-radius: 100%;
    padding-top: 10px;
    padding-right: 6px;
    padding-bottom: 10px;
    padding-left: 15px;
    background-color: var(--wp--preset--color--active-button);
}

/* >> КОНЕЦ ГЛОБАЛЬНЫХ ЭЛЕМЕНТОВ */

/* 
    << HEADER/FOOTER 
*/
:where(.wp-site-blocks) > * {
    margin-block-start: 0;
}
/* 1) Header*/
/* 1.1) Компановка фона/обложки хедера = изображению записи*/
#idOwnerHeaderWrapper {
    position: relative;
    height: 95vh; /*должно быть равно высоте фонового изображения - см.ниже*/
}
/* фоновая картинка над фоновым изображением */
/*#idOwnerHeaderWrapper .owner-fone-cover-black {
    position: absolute;
    inset: 0; /*заменяет top, bottom, left, right*
    margin-block-start: 0;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: -1;
}*/
#idOwnerHeaderWrapper figure.owner-header-fone {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin-block-start: 0;
    z-index: -2;
}
#idOwnerHeaderWrapper figure.owner-header-fone > img {
    height: 95vh; /*должно биться с высотой обложки*/
    object-fit: cover;
}
/* 1.2) Позиционирование блока с меню и информацией вверху шапки только (!) для ДС*/
#idOwnerHeaderWrapper #idOwnerHeaderContent {
    position: absolute;
    top: 0;
    left: 2%;
    right: 2%;
}
/* 1.3) Всплывающие меню с телефонами и емайлами вверху шапки*/
:where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen)
    :is(.owner-container-block-phones, .owner-container-block-mails) {
    position: relative;
    /* overflow: hidden; */
    cursor: pointer;
}
:where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen) :is(.owner-phones-menu, .owner-mails-menu) {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: rgba(70, 70, 70, 1);
    box-shadow: 1px 1px 20px #ffffff, -1px -1px 20px #ffffff;
    max-width: max-content;
    transform: translateX(-300%);
    visibility: hidden;
    transition: all 0.2s ease-out;
    z-index: 20;
}
:where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen)
    :is(.owner-container-block-phones, .owner-container-block-mails)
    figure.wp-block-image
    img {
    padding: 5px;
}
/* при наведении на значок всплывает меню с телефонами/емайлами и меняется цвет значка*/
:where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen)
    .owner-container-block-phones:is(:hover, :active)
    .owner-phones-menu,
    :where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen)
    .owner-container-block-mails:is(:hover, :active)
    .owner-mails-menu {
    transform: translateX(0);
    visibility: visible;
    transition: all 0.2s ease-out;
}
:where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen)
    .owner-container-block-phones:is(:hover, :active)
    figure.wp-block-image
    img,
    :where(#idOwnerContainerUpperMenu, #idOwnerContainerUpperMenuСontractedScreen)
    .owner-container-block-mails:is(:hover, :active)
    figure.wp-block-image
    img {
    filter: var(--wp--preset--duotone--duotone-4);
}

/* 1.4) вредный отступ 1.2rem из настроек, но везде убирать опасно...*/
#idOwnerHeaderWrapper:not(.owner-wrapper-header-home-page) {
    top: -1.2rem;
}

/* 1.5) Включение/отключение меню для невысоких экранов */
#idOwnerContainerUpperMenuСontractedScreen {
    display: none;
}
@media only screen and (max-height: 700px) {
    #idOwnerContainerUpperMenuСontractedScreen {
        display: block;
    }
    #idOwnerContainerUpperMenu, #idOwnerContainerMainMenu {
        display: none;
    }
}

/* 2) Footer */
/* 2.1) стилизация блока с контактной формой*/

/* 2.2) стилизация блока с картой и контактной информацией*/
#idFooterInfoMapBlock,
#idFooterInfoMapBlock .footer-info-block {
    position: relative; /* хитрость в том, что родительский блок idFooterInfoMapBlock имеет высоту дочернего - блок с колонками с контактной инфо. Остальные блоки absolute, поэтому их размеры отталкиваются от их внутренних размеров, а смещения/расположение от родительского блока и размеров предыдущих (сверху-вниз) блоков*/
}
#idFooterInfoMapBlock .footer-info-block {
    width: 80%;
    left: 10%;
    box-shadow: var(--owner--box--shadow--normal);
}
#idFooterInfoMapBlock .footer-map-block {
    position: absolute;
    top: calc(
        100% + 20px
    ); /*100% - смещение от родительского блока idFooterInfoMapBlock + 20px отступ от инфо-блока*/
    left: 10%;
    width: 80%;
    /* высота настраивается в скрипте карты */
    box-shadow: var(--owner--box--shadow--normal);
}
#idFooterInfoMapBlock .footer-map-info-background {
    position: absolute;
    top: 50%;
    width: 100%;
    height: calc(
        50% + 20px + 350px + 20px
    ); /*50% - высота половины родит. инфо-блока + 350 высота карты (настраивается в скрипте карты) + 20 верхний отступ + 10 на разное (тени, отступы, погрешности и т.д.)*/
    z-index: -1;
}
/* 2.3) блок с копирайтом и прочей инфой (все предыдущие отступы + эффект наложения отступов)*/
#idFooterCopyrightBlock {
    position: absolute;
    top: calc(
        100% + 20px + 350px + 20px
    ); /*100% потому что от ступаем полностью на всю высоту родит.блока #idFooterInfoMapBlock*/
    width: 100%;
}
#idFooterCopyrightBlock > .footer-copyright-block-content {
    width: 80%;
}

/* >> КОНЕЦ header/footer */

/*
    << НАСТРОЙКА СТИЛЕЙ ПЛАГИНОВ
*/

/* 1) Contact Form 7*/
/* 1) Меняем установки браузеров*/
/* 1.1) Плейсхолдер */
::-webkit-input-placeholder {
    /* WebKit browsers */
    color: var(--wp--preset--color--accent-5);
    font-family: var(--wp--preset--font-family--body);
}
:-moz-placeholder {
    /* Mozilla Firefox 4 to 18 */
    color: var(--wp--preset--color--accent-5);
    font-family: var(--wp--preset--font-family--body);
}
::-moz-placeholder {
    /* Mozilla Firefox 19+ */
    color: var(--wp--preset--color--accent-5);
    font-family: var(--wp--preset--font-family--body);
}
:-ms-input-placeholder {
    /* Internet Explorer 10+ */
    color: var(--wp--preset--color--accent-5);
    font-family: var(--wp--preset--font-family--body);
}
/* 2) Общая стилизация элементов Контакт-форм*/
/* 2.1) Общие стили для форм */
.wpcf7 {
    --cf7--height-unit: var(--wp--preset--font-size--normal-plus);
}
.wpcf7 .owner-cf7-header {
    color: var(--wp--preset--color--text);
    text-align: center;
    font-size: var(--wp--preset--font-size--large);
}
.wpcf7 .wpcf7-form-control:not(.wpcf7-checkbox) {
    color: var(--wp--preset--color--text);
    font-size: var(--cf7--height-unit);
    background-color: transparent;
    padding: 10px 5px;
    margin-bottom: 10px;
    font-family: var(--wp--preset--font-family--body);
}
.wpcf7 .wpcf7-form-control.wpcf7-checkbox .wpcf7-list-item-label {
    font-size: var(--cf7--height-unit);
    color: var(--wp--preset--color--text);
}
.wpcf7 .wpcf7-form-control:not(.wpcf7-checkbox, .wpcf7-submit) {
    border: solid 1px var(--wp--preset--color--accent-5);
    border-radius: 5px;
}
.wpcf7
    .wpcf7-form-control:not(.wpcf7-checkbox):where(
        :hover,
        :active,
        :focus,
        :focus-visible
    ) {
    outline: none;
}
@media screen and (max-width: 1160px) {
    .wpcf7 .wpcf7-form-control:not(.wpcf7-checkbox, .wpcf7-submit) {
        width: 100%;
    }
}

/* 2.2) Стили для контейнера с флекс-элементами в строку */
.wpcf7 .owner-cf7-flex-row-wrapper > p {
    display: flex;
    justify-content: space-between;
}
@media screen and (max-width: 480px) {
    .wpcf7 .owner-cf7-flex-row-wrapper > p {
        flex-wrap: wrap;
    }
}
/* 2.2.1) Ширина элементов в контейнере */
.wpcf7 .owner-cf7-flex-row-wrapper .wpcf7-form-control:not(.wpcf7-checkbox) {
    width: 90%;
}
@media screen and (max-width: 480px) {
    .wpcf7
        .owner-cf7-flex-row-wrapper
        .wpcf7-form-control:not(.wpcf7-checkbox) {
        width: 97%;
    }
}
/* 2.2.3) Прижимаем блок с телефоном к правому краю*/
.wpcf7 .owner-cf7-flex-row-wrapper .wpcf7-form-control.wpcf7-mask {
    display: block;
    margin-left: auto;
}
@media screen and (max-width: 480px) {
    .wpcf7 .owner-cf7-flex-row-wrapper .wpcf7-form-control.wpcf7-mask {
        margin-left: 0;
    }
}
/* 2.3) подгоняем отступы для отдельных блоков*/
.wpcf7 form > div {
    margin-bottom: inherit;
}
/* 2.4) в контактной форме убираем верхний отступ*/
.wp-block-contact-form-7-contact-form-selector {
    margin-top: 0 !important;
}
/* 2.5) textarea: фиксируем размер и родит.семейство шрифтов, задаем шинину и высоту относительно родителя*/
.wpcf7 .wpcf7-textarea {
    resize: none;
    font-family: inherit;
    width: 99%;
    height: calc(3 * var(--cf7--height-unit));
}
@media screen and (max-width: 1200px) {
    .wpcf7 .wpcf7-textarea {
        width: 98%;
    }
}
@media screen and (max-width: 630px) {
    .wpcf7 .wpcf7-textarea {
        width: 97.5%;
    }
}
@media screen and (max-width: 530px) {
    .wpcf7 .wpcf7-textarea {
        width: 97%;
    }
}
/* 2.6) спец.класс для сокрытия некоторых служебных полей формы*/
.wpcf7 .owner-cf7-field-none-displayed {
    display: none;
}
/* 2.7) Кнопка Отправить*/
.wpcf7 .wpcf7-form-control.wpcf7-submit {
    display: block;
    border: none;
    padding: 10px 30px;
    margin-top: 20px;
    color: var(--wp--preset--color--text-contrast);
    background-color: var(--wp--preset--color--passive-button);
    box-shadow: var(--owner--box--shadow--normal);
    border-radius: 5px;
    cursor: pointer;
}
.wpcf7
    .wpcf7-form-control.wpcf7-submit:where(
        :hover,
        :active,
        :focus,
        :focus-visible
    ) {
    background-color: var(--wp--preset--color--active-button);
    border-color: var(--wp--preset--color--base);
}

/* 2) Popup Maker */
/* 2.1) МЕДИА-ЗАПРОСЫ по окнам "Забронировать ...*/
@media screen and (max-width: 1470px) {
    .pum-container.pum-responsive.pum-responsive-normal {
        margin-left: 0 !important;
        width: 80%;
        left: 50% !important;
        transform: translateX(-50%);
    }
}
@media screen and (max-width: 1300px) {
    .pum-container.pum-responsive.pum-responsive-normal {
        width: 90%;
    }
}

/* 3) SA Sliders*/
/* 3.1) БАГ - пропали стрелки. Принудительно подключаем*/
#idOwnerSaSliderWrapper .disabled :where(.owl-prev, .owl-next) {
    display: block !important;
}
/* 3.2) убираем фон у стрелок навигации*/
#idOwnerSaSliderWrapper .owl-nav :where(.owl-prev, .owl-next) {
    background-color: transparent !important;
}
/* 3.3) стрелки - убираем сдвиг*/
#idOwnerSaSliderWrapper .owl-nav .owl-prev {
    left: 0;
}
#idOwnerSaSliderWrapper .owl-nav .owl-next {
    right: 0;
}
/* 3.4) точно позиционируем область наведения */
.sa_owl_theme .owl-item .sa_hover_container .sa_hover_fullslide {
    left: 0px;
}
/* 3.5) центруем изображение в слайде*/
.owl-carousel .owl-item img {
    display: block !important;
    margin: 0 auto;
    box-shadow: 5px 5px 10px;
}
/* 4) SS 3 */
/* растянули слайды по высоте экрана (SS3 не любит цифры в id !)*/
#owner-ss-home-page div.n2-ss-slide-active {
    height: 95vh;
}
/* заголовки нельзя Н1 (несколько слайдов с H1!!!), поэтому div в настройках*/
#owner-ss-home-page div.n2-ss-slide div.owner-ss3-slide-title-1 div {
    font-family: var(--wp--preset--font-family--body) !important;
    font-size: var(--wp--preset--font-size--gigantic) !important;
    font-weight: 700;
}
div#n2-ss-2 .n2-ss-button-container a div {
    font-family: var(--wp--preset--font-family--body) !important;
    font-size: var(--wp--preset--font-size--large) !important;
}

@media screen and (max-width: 768px) {
    #owner-ss-home-page div.n2-ss-slider .n2-ss-section-main-content {
        justify-content: flex-start !important;
    }
    #owner-ss-home-page div.n2-ss-slide div.owner-ss3-slide-title-1 {
        margin-block-start: calc(50vh + 20px);
    }
}

/* >> КОНЕЦ НАСТРОЙКИ СТИЛЕЙ ПЛАГИНОВ*/

/*
    << СТРАНИЦЫ
*/

/*
    <<СТРАНИЦЫ, ОБЩИЕ НАСТРОЙКИ
*/

/* 1) Удаляем глобальные отступы для изображения записи задарнные темой. Иначе в адаптиавке - горизонтальный скроллинг*/
#idOwnerHeaderWrapper .owner-header-fone {
    margin-right: 0;
    margin-left: 0;
}
/* 2) Стилизуем подзаголовки страниц*/
#idOwnerHeaderWrapper :is(.owner-page-subtitle, .owner-page-subtitle p) {
    font-size: var(--wp--preset--font-size--huge) !important;
    font-weight: 800 !important;
    line-height: 1.15 !important;
    text-align: center;
}
/* 3) Настройка галлереи для страниц с хижинами*/
#idSectionGallery .owner-gallery-image {
    max-width: 200px;
}
@media screen and (max-width: 430px) {
    #idSectionGallery .owner-gallery-image {
        max-width: 100%;
    }
}
#idSectionGallery .owner-gallery-image-is-vertical {
    max-width: 100px;
}
@media screen and (max-width: 358px) {
    #idSectionGallery .owner-gallery-image-is-vertical {
        max-width: 100%;
    }
}
/* 4) Отключение бокового сайдбара с меню на малых экранах */
@media screen and (max-width: 870px) {
    main.owner-with-sidemenu-page-wrapper
        .wp-block-columns
        > .wp-block-column:first-child {
        flex-basis: 100% !important;
    }
    main.owner-with-sidemenu-page-wrapper
        .wp-block-columns
        > .wp-block-column:last-child {
        display: none;
    }
}
/* 5) Общее для страниц записей (рубрика Отзывы например)*/
@media screen and (max-width: 1250px) {
    ul.wp-block-post-template-is-layout-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}
@media screen and (max-width: 850px) {
    ul.wp-block-post-template-is-layout-grid {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
}

/* >> КОНЕЦ СТРАНИЦЫ ОБЩИЕ НАСТРОЙКИ*/

/* << ГЛАВНАЯ */
/* временные шаблоны убираем с экрана */
.none-displayed {
    display: none !important;
}
/* 1) Секция Зоны отдыха*/
:where(#idSectionRecreationAreas, #idSectionServices) .owner-anyone-card {
    width: clamp(250px, 20vw, 400px);
    overflow: hidden;
}
:where(#idSectionRecreationAreas, #idSectionServices) .owner-anyone-card:hover {
    box-shadow: var(--owner--box--shadow--normal);
}
:where(#idSectionRecreationAreas, #idSectionServices)
    .owner-anyone-card:hover
    p {
    color: var(--wp--preset--color--active-link) !important;
}
/* >> КОНЕЦ ГЛАВНАЯ*/

/* >> КОНЕЦ НАСТРОЙКИ СТРАНИЦ*/
